{% trans_default_domain 'Management' %}

<div id="diplomacy" style="display : none;">
    {% if relations is defined and relations|length > 0 %}
        <div class="tablevb_top">
            <div class="tablevb_bottom">
                <div class="tablevb_bg">
                    <table class="tablevb">
                        <tbody>
                        <tr class="first">
                            <th>{{ 'tabs.diplomacy.relation.player' | trans }}</th>
                            <th>
                                <img src="{{ asset('img/help.gif') }}" class="help"
                                     onmouseover="showHintMsg(this, '{{ 'tabs.diplomacy.relation.type.tooltip' | trans }}')"
                                     onmouseout="hideHint()">
                                {{ 'tabs.diplomacy.relation.type.title' | trans }}
                            </th>
                            <th>
                                <img src="{{ asset('img/help.gif') }}" class="help"
                                     onmouseover="showHintMsg(this,'{{ 'tabs.diplomacy.relation.canCross.tooltip' | trans }}')"
                                     onmouseout="hideHint()">
                                {{ 'tabs.diplomacy.relation.canCross.title' | trans }}
                            </th>
                            <th>
                                <img src="{{ asset('img/help.gif') }}" class="help"
                                     onmouseover="showHintMsg(this,'{{ 'tabs.diplomacy.relation.canHarvest.tooltip' | trans }}')"
                                     onmouseout="hideHint()">
                                {{ 'tabs.diplomacy.relation.canHarvest.title' | trans }}
                            </th>
                        </tr>
                        {% for relation in relations %}
                            {% set displayedLord = isDiplomacyInverted is defined ? relation.lord : relation.target %}
                            <tr>
                                <td>
                                    {{ 'messages.the' | trans([], 'Common') }} <a href="{{ path('user', {'id': displayedLord.user.id }) }}">{{ ('lord.titles.' ~ displayedLord.title.value) | trans([], 'Common')}} {{ displayedLord.name }}</a>
                                </td>
                                <td>
                                    {{ ('tabs.diplomacy.relation.type.' ~ relation.diplomacyType) | trans }}
                                </td>
                                <td>
                                    {{ relation.canCross is defined and relation.canCross == 1 ? 'messages.yes' | trans([], 'Common') : 'messages.no' | trans([], 'Common') }}
                                </td>
                                <td>
                                    {{ relation.canHarvest is defined and relation.canHarvest == 1 ? 'messages.yes' | trans([], 'Common') : 'messages.no' | trans([], 'Common') }}
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    {% else %}
        <p class="nothing">
            {% if isDiplomacyInverted is defined %}
                {{ 'tabs.diplomacy.noDiplomacy.inverted' | trans }}
            {% else %}
                {{ 'tabs.diplomacy.noDiplomacy.yourAgreements' | trans }}
            {% endif %}
        </p>
    {% endif %}
    {% if isDiplomacyInverted is defined %}
        <a href="{{ path('app_management_management', {'tab': 'diplomacy'} ) }}" class="button"
           onmouseover="showHintMsg(this, '{{ 'tabs.diplomacy.yourAgreements.tootlip' | trans }}')"
           onmouseout="hideHint()">
            {{ 'tabs.diplomacy.yourAgreements.button' | trans }}
        </a>
    {% else %}
        <a href="{{ path('app_management_invertdiplomacy') }}" class="button"
           onmouseover="showHintMsg(this, '{{ 'tabs.diplomacy.invert.tooltip' | trans }}')"
           onmouseout="hideHint()">
            {{ 'tabs.diplomacy.invert.button' | trans }}
        </a>
    {% endif %}

    {# TODO Do a function in JS #}
    {#
        <p>
        {{ 'tabs.diplomacy.searchPlayer' | trans }}
        </p>
        <form action="/" method="POST" class="searchpla">
        <div class="tid_userSearchContainer" style="width: 145px; height: 36px; float: left;">
            <img class="tid_loadingSearch" src="{{ asset('img/loading.gif') }}" alt="loading">
            <div class="tid_search_popup" style="display: none; margin-left: 25px;"></div>
            <div class="tid_search_popup" style="display:none"></div>
            <a href="#" class="tid_friendsButton" style="height: 36px; padding-top: 1px; line-height: 36px; z-index: 2; position: absolute;">
                <img class="tid_down" src="{{ asset('img/design/arrowDrop.png')}}" alt="">
                <img class="tid_ficon" src="{{ asset('img/icons/contact.png')}}" alt="">
            </a>
            <input name="name_name" class="tid_userSearch inputtext tid_parsed tid_withFriends" autocomplete="off" style="width: 116px; height: 36px; float: none; position: absolute; z-index: 1; padding-left: 29px;">
            <input type="hidden" name="name" id="undefined">
        </div>
        <input type="submit" value="{{ 'tabs.diplomacy.search' | trans }}" class="button">
        </form>
    #}
</div>